KDE 4.2 PyKDE API Reference

- KDE's Python API

# ResourceBase Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi::AgentBase
Namespace: Akonadi

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

## Signals

| nameChanged (QString name)

## Methods

| __init__ (self, QString id)
| cancelTask (self)
| cancelTask (self, QString error)
| changeCommitted (self, Akonadi.Item item)
| changeCommitted (self, Akonadi.Collection collection)
| collectionsRetrieved (self, Akonadi.Collection.List collections)
| collectionsRetrievedIncremental (self, Akonadi.Collection.List changedCollections, Akonadi.Collection.List removedCollections)
Akonadi.Collection | currentCollection (self)
Akonadi.Item | currentItem (self)
| doSetOnline (self, bool online)
| itemRetrieved (self, Akonadi.Item item)
| itemsRetrievalDone (self)
| itemsRetrieved (self, Akonadi.Item.List items)
| itemsRetrievedIncremental (self, Akonadi.Item.List changedItems, Akonadi.Item.List removedItems)
QString | name (self)
| nameChanged (self, QString name)
| retrieveCollections (self)
bool | retrieveItem (self, Akonadi.Item item, QSet<QByteArray> parts)
| retrieveItems (self, Akonadi.Collection collection)
| setItemStreamingEnabled (self, bool enable)
| setName (self, QString name)
| setTotalItems (self, int amount)
| synchronize (self)
| synchronizeCollection (self, long id)
| synchronizeCollectionTree (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | id
| ) |  |  |

cancelTask | ( |  | self ) |

cancelTask | ( | self, |
|  | QString | error
| ) |  |  |

changeCommitted | ( | self, |
|  | Akonadi.Item | item
| ) |  |  |

changeCommitted | ( | self, |
|  | Akonadi.Collection | collection
| ) |  |  |

collectionsRetrieved | ( | self, |
|  | Akonadi.Collection.List | collections
| ) |  |  |

collectionsRetrievedIncremental | ( | self, |
|  | Akonadi.Collection.List | changedCollections,
|  | Akonadi.Collection.List | removedCollections
| ) |  |  |

Akonadi.Collection currentCollection | ( |  | self ) |

Akonadi.Item currentItem | ( |  | self ) |

doSetOnline | ( | self, |
|  | bool | online
| ) |  |  |

itemRetrieved | ( | self, |
|  | Akonadi.Item | item
| ) |  |  |

itemsRetrievalDone | ( |  | self ) |

itemsRetrieved | ( | self, |
|  | Akonadi.Item.List | items
| ) |  |  |

itemsRetrievedIncremental | ( | self, |
|  | Akonadi.Item.List | changedItems,
|  | Akonadi.Item.List | removedItems
| ) |  |  |

QString name | ( |  | self ) |

nameChanged | ( | self, |
|  | QString | name
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("nameChanged(const QString&)"), target_slot)`

retrieveCollections | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

bool retrieveItem | ( | self, |
|  | Akonadi.Item | item,
|  | QSet<QByteArray> | parts
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

retrieveItems | ( | self, |
|  | Akonadi.Collection | collection
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

setItemStreamingEnabled | ( | self, |
|  | bool | enable
| ) |  |  |

setName | ( | self, |
|  | QString | name
| ) |  |  |

setTotalItems | ( | self, |
|  | int | amount
| ) |  |  |

synchronize | ( |  | self ) |

synchronizeCollection | ( | self, |
|  | long | id
| ) |  |  |

synchronizeCollectionTree | ( |  | self ) |